org.apache.cassandra.transport.messages

## Class ResultMessage.Rows

- java.lang.Object
- - org.apache.cassandra.transport.Message
  - - org.apache.cassandra.transport.Message.Response
    - - org.apache.cassandra.transport.messages.ResultMessage
      - - org.apache.cassandra.transport.messages.ResultMessage.Rows

Enclosing class:
  ResultMessage

    public static class ResultMessage.Rows
    extends ResultMessage

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.transport.messages.ResultMessage

`ResultMessage.Kind, ResultMessage.Prepared, ResultMessage.Rows, ResultMessage.SchemaChange, ResultMessage.SetKeyspace, ResultMessage.Void`

### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Message

`Message.Codec<M extends Message>, Message.Direction, Message.Dispatcher, Message.ExceptionHandler, Message.ProtocolDecoder, Message.ProtocolEncoder, Message.Request, Message.Response, Message.Type`

### Field Summary

Fields
`ResultSet` `result`
`static Message.Codec<ResultMessage>` `subcodec`

### Fields inherited from class org.apache.cassandra.transport.messages.ResultMessage

`codec, kind`

### Fields inherited from class org.apache.cassandra.transport.Message.Response

`tracingId, warnings`

### Fields inherited from class org.apache.cassandra.transport.Message

`connection, forcedProtocolVersion, logger, type`

### Constructor Summary

Constructors
Constructor and Description
`Rows(ResultSet result)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`
`CqlResult` `toThriftResult()`

### Methods inherited from class org.apache.cassandra.transport.Message.Response

`getTracingId, getWarnings, setTracingId, setWarnings`

### Methods inherited from class org.apache.cassandra.transport.Message

`attach, connection, getCustomPayload, getSourceFrame, getStreamId, setCustomPayload, setSourceFrame, setStreamId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### subcodec

    public static final Message.Codec<ResultMessage> subcodec

#### result

    public final ResultSet result

### Constructor Detail

#### Rows

    public Rows(ResultSet result)

### Method Detail

#### toThriftResult

    public CqlResult toThriftResult()

Specified by:
  `toThriftResult` in class `ResultMessage`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`